Package twisted :: Package conch :: Module credentials :: Class ISSHPrivateKey |
[frames | no frames]

## Class ISSHPrivateKey

    Interface --+
                |
     ICredentials --+
                    |
                   ISSHPrivateKey

I encapsulate an SSH public key to be checked against a users private key.

Instance Variable Summary
| `blob`: The public key blob as sent by the client.
| `sigData`: The data the signature was made from.
| `signature`: The signed data.
| `username`: Duh?

Class Variable Summary
Inherited from ICredentials
| `__implements__`: Implementors _must_ provide an __implements__ attribute which contains at least the list of sub-interfaces of ICredentials to which it conforms.

Instance Variable Details

### blob The public key blob as sent by the client.

### sigData The data the signature was made from.

### signature The signed data. This is checked to verify that the user owns the private key.

### username Duh?

Generated by Epydoc 2.0 on Sat Oct 25 00:54:54 2003 | http://epydoc.sf.net